module completions {

  def "nu-complete git-absorb gen_completions" [] {
    [ "bash" "fish" "nushell" "zsh" "powershell" "elvish" ]
  }

  # Automatically absorb staged changes into your current branch
  export extern git-absorb [
    --base(-b): string        # Use this commit as the base of the absorb stack
    --dry-run(-n)             # Don't make any actual changes
    --force-author            # Generate fixups to commits not made by you
    --force-detach            # Generate fixups even when on a non-branch (detached) HEAD
    --force(-f)               # Skip all safety checks as if all --force-* flags were given
    --verbose(-v)             # Display more output
    --and-rebase(-r)          # Run rebase if successful
    ...rebase_options: string # Extra arguments to pass to git rebase. Only valid if --and-rebase is set
    --gen-completions: string@"nu-complete git-absorb gen_completions" # Generate completions
    --whole-file(-w)          # Match the change against the complete file
    --one-fixup-per-commit(-F) # Only generate one fixup per commit
    --help(-h)                # Print help
    --version(-V)             # Print version
  ]

}

export use completions *
